MONGOC_BULK_OPERATION_UPDATE(3)

NAME
mongoc_bulk_operation_update() - None

SYNOPSIS

void
mongoc_bulk_operation_update (mongoc_bulk_operation_t *bulk,
                              const bson_t            *selector,
                              const bson_t            *document,
                              bool                     upsert);

This function queues an update as part of a bulk operation. This does not execute the operation. To execute the entirety of the bulk operation call mongoc_bulk_operation_execute(3) \&.

NOTE
    document MUST only contain fields whose key starts with $ \&. See the update document specification for more details.

PARAMETERS

bulk
    A mongoc_bulk_operation_t \&.

selector
    A bson_t containing the selector to query.

document
    A bson_t containing the update document.

upsert
    true if an upsert should be performed.

ERRORS

Errors are propagated via mongoc_bulk_operation_execute(3) \&.

SEE ALSO

mongoc_bulk_operation_update_one(3)

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.